Eisen-Syncer - Open Source Offline Sync for Alfresco 5.2 and above

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
villdre
Active Member II

Eisen-Syncer - Open Source Offline Sync for Alfresco 5.2 and above

Owner: EisenVault (www.eisenvault.com)

Versions: 1.13

License: LGPL 3.0

Type:

Project Page: https://github.com/EisenVault/eisen-syncer-alfresco

Download Page: https://systest.eisenvault.net/share/page/guest-access?nodeRef=workspace://SpacesStore/f1e15edc-9f83...

Tags: EisenVault, Offline Sync

Component Type

Extension Points: Alfresco 5.2 API

Installation Products: Alfresco Community Edition 5.2

A dropbox like file syncer that works on cross-platform OS and is built on-top of electron. Compatible with Alfresco Community Edition 5.2 (Requires Alfresco 5.2 API). Works well with Real Time sync - unlike other open source options.

Download pre-compiled installers from: https://systest.eisenvault.net/share/page/guest-access?nodeRef=workspace://SpacesStore/f1e15edc-9f83...

Important Above folder has a file called "ev-offline-sync-platform-1.0.amp". Please download and install this on your Alfresco webapp before trying to run sync. This contains some API changes that are required by the Sync application.

This has installers for Mac and Windows. Linux Installer coming soon.

Please note below instructions for installing on Windows: DO NOT install in the default C:\Program Files... directory. Please create a custom directory called C:\OfflineSync (or anything similar) and install there. Else you will get permission issues when launching offline sync.

For any questions email us at support@eisenvault.com We are able to provide commercial support for this, if required.

1 Reply
ivos
Member II

Re: Eisen-Syncer - Open Source Offline Sync for Alfresco 5.2 and above

This addon looks very nice, but unfortunately the link for download  the "ev-offline-sync-platform-1.0.amp" is broken. Is it possible top get it somewhere and is it LGPL too, or is it proprietary (on GitHub is only the syncer but not the amp)? And eventually, could be possible to document the requirements for the mentioned necessary change of API on Alfresco side?